# Authentication

The api is a REST based API that uses a Bearer token Authorization.

Each API endpoint for Users and Approvals requires an Authorization header containing the Bearer access token. Calls to endpoints without a valid token will result in a 401 Unauthorized http status code.

An access token is obtained by calling the ***/connect/token*** using the *ClientId* and *ClientSecret* for a registered account.

Once the access token is obtained this is used for all subsequent calls to the other available API endpoints.

See the list of endpoints here: <https://api.mediamarkup.com/docs/index.html>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mediamarkup.gitbook.io/docs/api/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
